<?php
/**
 * Research Artisan Lite: Website Access Analyzer
 * Copyright (C) 2009 Research Artisan Project
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * @copyright Copyright (C) 2009 Research Artisan Project
 * @license GNU General Public License (see license.txt)
 * @author ossi
 */
class UpgradeController_110_beta extends BaseController {

  public function __construct(RaRequest $request, RaSession $session, RaMessage $message, RaResult $result, $controller, $action) {
    parent::__construct($request, $session, $message, $result, $controller, $action);
  }

  public function upgrade() {
    $mail = new Mail();
    $system = new System();
    $upgradeSqlDir = UPGRADE_DIR. '1.10_beta'. DIRECTORY_SEPARATOR. 'sql'. DIRECTORY_SEPARATOR;
    $upgradeSqlOldDir = UPGRADE_DIR. '1.10_beta'. DIRECTORY_SEPARATOR. 'sql'. DIRECTORY_SEPARATOR. 'old'. DIRECTORY_SEPARATOR;
    try {
      $mail->loadSql($upgradeSqlDir. 'mail.sql', $upgradeSqlOldDir. 'mail.sql');
      $system->loadSql($upgradeSqlDir. 'system.sql', $upgradeSqlOldDir. 'system.sql');
    } catch (Exception $exception) {
      if ($exception->getCode() == RaModel::DUPLICATE_COLUMN_ERR_CODE) {
        throw new RaException('1.10_betaバージョンへは既にアップグレード済みです。<br />アップロードした1.10_betaアップグレード用ファイルを削除してください。');
      } else {
        throw $exception;
      }
    }
    return true;
  }

}
?>
